package org.springblade.datasource.transform;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/24 16:40
 */
public class TransformUtil {

    /**
     * 获取字段长度
     *
     * @param decimalDigits
     * @param def
     * @return {@link String}
     * @author 王瑞
     * @date 2023/8/24
     */
    public static String getDecimalDigits(Integer decimalDigits, String def) {
        if (decimalDigits != null && decimalDigits != 0) {
            return decimalDigits.toString();
        }
        return def;
    }

    /**
     * 获取字段精度
     *
     * @param columnSize
     * @param def
     * @return {@link String}
     * @author 王瑞
     * @date 2023/8/24
     */
    public static String getColumnSize(Integer columnSize, String def) {
        if (columnSize != null && columnSize != 0) {
            return columnSize.toString();
        }
        return def;
    }

    /**
     * 获取字段精度
     *
     * @param columnSize
     * @param def
     * @return {@link String}
     * @author 王瑞
     * @date 2023/8/24
     */
    public static Integer getColumnSizeOrDecimalDigits(Integer columnSize, Integer def, int max, int min) {

        if (columnSize == null) {
            return def;
        }
//        if (columnSize < def) {
//            return def;
//        }
        if (columnSize < min) {
            return min;
        }
        if (columnSize > max) {
            return max;
        }
        return columnSize;
    }
}
